<?php

/**
 * @file
 * Provide views extender functions.
 */

/**
 * Implements hook_views_data_alter().
 */
function views_extender_views_data_alter(array &$data) {
  $data['views']['current_node_field'] = [
    'title' => t('Current Node field filter'),
    'help' => t('Compare with current node field value.'),
    'filter' => [
      'id' => 'current_node_field',
    ],
  ];

  $data['views']['ve_user_field_compare'] = [
    'title' => t('Compare user data'),
    'help' => t('Compare field data with user data.'),
    'filter' => [
      'id' => 've_user_field_compare',
    ],
  ];
  $data['views']['entity_field_compare'] = [
    'title' => t('Compare Entity Field with Token'),
    'help' => t('Allow compare entity field data with value from token.'),
    'filter' => [
      'id' => 'entity_field_compare',
    ],
  ];
}
